Status: Closed Start date: 2010-12-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.1.0

Description

When I make csv export of issues and open the result in Excel, line breaks  (CR/LF) in description field are not correctly displayed.

Related issues:

Related to Redmine - Defect #7096: CSV Issues Export + Ruby 1.9 + Thin + non-... Closed 2010-12-11

Related to Redmine - Feature #7037: CSV export encoding and excel. UTF-8 and BOM Closed 2010-12-03

Has duplicate Redmine - Defect #7958: Irregular CSV file (caused by "Descript... Closed 2011-03-22

History

#1 - 2010-12-03 20:17 - John Yani

Open Office Calc BTW handles it fine.

Excel version: 2007

#2 - 2011-02-10 17:34 - Jonas Schulz

Please review this bug, it is still open in version 1.1. The CR/LF issue in the description field will prevent the correct import under excel 07.

Are there any other chance to drop out that field without modification of the issues_helper.rb?

Thank you in advance!

#3 - 2011-02-18 16:53 - Etienne Massip

- Category set to Issues

- Affected version (unused) set to 1.1.0

- Affected version set to 1.1.0

#4 - 2011-03-22 17:30 - Etienne Massip

- File Classeur1.csv added

Data of cells containing line breaks in Excel 2003 is outputted the following way in the resulting CSV file :

cell content is surrounded by quotes

line breaks are LF only

Here's an example (separator is semi-colon).

#5 - 2011-03-22 17:31 - Etienne Massip

- Target version set to Candidate for next major release

#6 - 2011-03-26 16:34 - Etienne Massip

- File csv_issue_description_eol.patch added

- File csv_text_fields_eol.patch added

2 patches :

1. either simply replace \r\n EOLs with \n in issue description (IssueHelper change)

2. or replace \r\n EOLs with \n in all text fields (FasterCSV change)
#7 - 2011-03-27 19:39 - Jean-Philippe Lang

- File Classeur1.csv added

- File excel2007.png added

Works fine for me with Excel 2007. The same file with CRLF and what it gives in Excel 2007:

 

#8 - 2011-03-27 22:50 - Etienne Massip

Gosh, right.

Excel 2003 renders the \r with a square character inside the cell :/

So that's basically an Excel version support question...

#9 - 2011-03-28 09:19 - Etienne Massip

Jonas, could you post a sample of a non-working Excel 2007 workbook, please ?

#10 - 2011-03-28 16:04 - Etienne Massip

- Target version deleted (Candidate for next major release)

#11 - 2011-04-28 17:58 - Rolf Stetter

- File excel2010.png added

Jean Philippe,

this is the result with Excel 2010 when opening your sample CSV:

 excel2010.png 

#12 - 2011-04-28 18:01 - Etienne Massip

Just raise the height of line 3.

#13 - 2011-04-28 19:10 - Rolf Stetter

ups.. you are right!

So, I am very interested in getting your fix released..

Don't want to start patching.

#14 - 2011-04-28 19:27 - Etienne Massip

This issue should probably be closed as a "Won't fix" since Excel >= 2007 opens Redmine exported CSV files containing EOLs just fine and

supporting old Excel 2003 seems quite unnecessary now.

My patch simply replace CRLF inside column data with LF so it can be opened with Excel 2003.

#15 - 2011-09-09 14:45 - Sven Müller

In german Wikipedia there is a hint:

Trennzeichen ist stillschweigend Semikolon, wenn die CSV Datei nach ANSI-Norm gespeichert ist

 Trennzeichen ist stillschweigend Tabulator, wenn die CSV Datei in Unicode-Format gespeichert ist

 The delimiter semicolon is expected when file is in ANSI.

The delimiter TAB is expected when file is in Unicode.

So is there a way to configure Redmine, to select eigther comma or semicolon for cvs files?
#16 - 2011-09-09 15:42 - Sven Müller

- File faster_csv.rb.patch added

I#ve tried to path one file. But in exported.csv are still comma

Any idea why?

#17 - 2011-09-09 15:44 - Etienne Massip

Sven Müller wrote:

I#ve tried to path one file. But in exported.csv are still comma

Any idea why?

 Did you read the issue description?

#18 - 2013-01-13 17:07 - Ikon Ikon

Hello guys,

still problems for me in Excel 2010. You need to do this:

*Use ";" to separate fields (column separator)

*Use CR+LF for line break out of text fields (row separator)

*Use LF for line break inside text fields (these are line breaks that will break cell text on multiple lines)

In that case, Excel will be happy. Tell me please the script to edit in order to fix the bug.

Thanks!

#19 - 2013-01-24 13:07 - Sergey Prosin

Hi, lkon.

To fix column separator you could edit your regional settings in folder \config\locales. Keep in mind the language you use in interface. Tha name of

parameter is general_csv_separator. I'm not a redmine expert ;) so I'm not informed about solutions of line breaks, but may be you could find

somethind in these files too.

#20 - 2013-12-27 08:10 - Doan Phuoc

Hi all,

I used redmine 2.3.3 and i can't fix it. May be help me.

I want export csv whith vietnamese language.

Thanks

#21 - 2015-04-18 05:52 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Wont fix

Etienne Massip wrote:

This issue should probably be closed as a "Won't fix" since Excel >= 2007 opens Redmine exported CSV files containing EOLs just fine and

supporting old Excel 2003 seems quite unnecessary now.

 I agree.

CSV character encoding in this issue is duplicate of #11116.

Files

Classeur1.csv 64 Bytes 2011-03-22 Etienne Massip

csv_issue_description_eol.patch 604 Bytes 2011-03-26 Etienne Massip

csv_text_fields_eol.patch 1.31 KB 2011-03-26 Etienne Massip

Classeur1.csv 66 Bytes 2011-03-27 Jean-Philippe Lang

excel2007.png 2.2 KB 2011-03-27 Jean-Philippe Lang

excel2010.png 3.05 KB 2011-04-28 Rolf Stetter

faster_csv.rb.patch 2.58 KB 2011-09-09 Sven Müller
